ParseErrorEvent (BioJava-1.5-beta API)
Keywords: org.biojava.utils.ParseErrorEvent class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.utils
Class ParseErrorEvent

    java.lang.Object
      java.util.EventObject
          org.biojava.utils.ParseErrorEvent

All Implemented Interfaces:
  Serializable

    public class ParseErrorEvent

extends EventObject

Event which signals a bad line when parsing a record.

Author:
  Greg Cox
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`ParseErrorEvent(Object theSource)` Construct a ParseErrorEvent with no other information.
`ParseErrorEvent(Object theSource, String theMessage)` Construct a ParseErrorEvent with a message.

Method Summary
`String` | `getMessage()` Find the message about this event
`String` | `toString()`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ParseErrorEvent

    public ParseErrorEvent(Object theSource)

  Construct a ParseErrorEvent with no other information.

  Parameters:
    `theSource` - The source of the parse error

### ParseErrorEvent

    public ParseErrorEvent(Object theSource,
                           String theMessage)

  Construct a ParseErrorEvent with a message.

  Parameters:
    `theSource` - The source of the parse error.
    `theMessage` - The message.

Method Detail

### getMessage

    public String getMessage()

  Find the message about this event

  Returns:
    The message.

### toString

    public String toString()

  Overrides:
    `toString` in class `EventObject`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD